Skip to main content
GET
cURL

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

modelId
string<uuid>
required

The model ID to retrieve details for

Response

Model retrieved successfully

id
string<uuid>
required

The model ID.

canonicalId
string
required

The canonical model identifier.

displayName
string
required

Human-readable model name.

provider
string
required

Model provider (e.g. OpenAI, Anthropic).

family
string | null
required

Model family grouping.

description
string | null
required

Model description.

contextWindow
number | null
required

Context window size.

inputCostPer1k
number | null
required

Cost per 1,000 input tokens.

outputCostPer1k
number | null
required

Cost per 1,000 output tokens.

inputModalities
string[] | null
required

Supported input modalities.

outputModalities
string[] | null
required

Supported output modalities.

supportedParameters
string[] | null
required

Supported generation parameters.

source
string
required

Model data source.

createdAt
string<date-time>
required

When the model was created.

expirationDate
string<date-time> | null
required

When the model expires, if applicable.

intelligenceIndex
number | null
required

Intelligence benchmark index.

codingIndex
number | null
required

Coding benchmark index.

mathIndex
number | null
required

Math benchmark index.

mmluPro
number | null
required

MMLU-Pro benchmark score.

gpqa
number | null
required

GPQA benchmark score.

usageCount
number
required

Number of conversations using this model.

lastUsedAt
string<date-time> | null
required

When the model was last used.

products
object[]
required

Products using this model.